<?php

declare(strict_types=1);

namespace Dedi\SyliusAclPlugin\Form\Extension;

use Sylius\Bundle\CoreBundle\Form\Type\User\AdminUserType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\FormBuilderInterface;

final class AdminUserTypeExtension extends AbstractTypeExtension
{
    public function __construct(
        private string $dataClass,
    ) {
    }

    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('aclRoles', EntityType::class, [
                'label' => 'dedi_sylius_acl_plugin.ui.roles',
                'class' => $this->dataClass,
                'choice_label' => 'name',
                'multiple' => true,
                'required' => false,
            ])
            ->add('permissionChecker', CheckboxType::class, [
                'label' => 'dedi_sylius_acl_plugin.ui.permission_checker',
            ])
        ;
    }

    public static function getExtendedTypes(): iterable
    {
        return [
            AdminUserType::class,
        ];
    }
}
